Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Установка OcsInventory  (Прочитано 2281 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн snowkam

  • Автор темы
  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Установка OcsInventory
« : 18 Августа 2017, 09:24:20 »
Добрый день!
Ребята кто сталкивался с такой ситуацией, помогите.
ubuntu 16.04.3 64
Устанавливаю из дистрибутива OcsInventory.
Перехожу по ссылке http://localhost/ocsreports/install.php
и вижу вот такие сообщения
====================================
OCS-NG Inventory Installation
=====================================

=================================================
ERROR: MySQL for PHP is not properly installed.
Try installing MySQL for php package (Debian: php5-mysql)
==========================================================

Подскажите что значит не правильно установлен MySQL и PHP?
Где почитать что ему нужно?
В логах пусто (((((

Оффлайн БТР

  • Заслуженный пользователь
  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 6204
    • Просмотр профиля
Re: Установка OcsInventory
« Ответ #1 : 18 Августа 2017, 12:58:31 »
sudo apt-get update
sudo apt-get install php5-mysql

Aceler

  • Гость
Re: Установка OcsInventory
« Ответ #2 : 18 Августа 2017, 13:06:22 »
Обычно это означает, что не установлена поддержка MySQL для PHP, пакет php5-mysql.

Услуги переводчика дорого.

P.S. В Ubuntu Xenial это php-mysql.

Оффлайн ivul

  • Любитель
  • *
  • Сообщений: 77
    • Просмотр профиля
Re: Установка OcsInventory
« Ответ #3 : 03 Мая 2018, 08:57:27 »
P.S. В Ubuntu Xenial это php-mysql.
В Ubuntu Xenial уже нет php5, там php7.

Вопрос в том, можно ли настроить штатную версию OCS Inventory (версии server и reports - 2.1.2, agent - 2.0.5) на работу с PHP7?
Похоже, что нельзя. Нужно откатываться на php5 и обновлять OCS Inventory до более свежей версии.

http://ask.ocsinventory-ng.org/7973/ocs-2-3-1-compatibility-with-php7
« Последнее редактирование: 03 Мая 2018, 09:33:46 от ivul »

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 28424
    • Просмотр профиля
Re: Установка OcsInventory
« Ответ #4 : 03 Мая 2018, 10:57:44 »
http://ask.ocsinventory-ng.org/7973/ocs-2-3-1-compatibility-with-php7
Идиот постил тот ответ. Не включил curl ext, закономерно получил вопли о его отсутствии.
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн ivul

  • Любитель
  • *
  • Сообщений: 77
    • Просмотр профиля
Re: Установка OcsInventory
« Ответ #5 : 04 Мая 2018, 09:15:02 »
Да эта ссылка вообще не к месту. Чёй-то я ступил.

Более информативны эти:
https://bugs.launchpad.net/ocsinventory-ocsreports/+bug/1580531
http://ask.ocsinventory-ng.org/4282/ocs-inventory-on-ubuntu-server-16-04

Выходит, штатный OCS Inventory в Ubuntu 16.04 с PHP7 не работает. Либо откатываться на php5, либо ставить более новую версию OCS (инструкция на оф. сайте есть).

« Последнее редактирование: 04 Мая 2018, 09:30:59 от ivul »

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 28424
    • Просмотр профиля
Re: Установка OcsInventory
« Ответ #6 : 04 Мая 2018, 12:50:58 »
Они что, до сих пор используют mysql_* ??
C головой всё в порядке?

Пользователь добавил сообщение 04 Мая 2018, 12:56:49:
На гитхабе 2.4.1 лежит.
« Последнее редактирование: 04 Мая 2018, 12:56:49 от AnrDaemon »
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

 

Страница сгенерирована за 0.041 секунд. Запросов: 25.